#! /bin/ksh

fail() {
  echo ""
  echo "Installation FAILED!"
  echo ""
  echo "Sorry, but installer was not able to properly install all needed"
  echo "wrappers on your system.  Before retrying installation make sure"
  echo "that you are logged in as root, and you have enough disk space"
  echo "on your /usr partition."
  echo ""
}

trap fail ERR

set -e

install -c -m 4444 libvmdsp.so /usr/lib/
for a in libvmdsp_esd.so libvmdsp_arts.so
do
  install -c -m 644 $a /usr/lib/
done
install -c -m 755 vmwareesd /usr/bin/
install -c -m 755 vmwarearts /usr/bin/

echo ""
echo "If you are using ESD, you can start VMware Workstation with 'vmwareesd',"
echo "and if you are using aRts, you can start VMware Workstation with 'vmwarearts'."
echo ""
echo "Enjoy."
echo ""